ApiHBaseCreateTable (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHBaseCreateTable

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseCreateTable

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHBaseCreateTable
      extends Object

  ApiHBaseCreateTable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseCreateTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHBaseCreateTable` | `columnFamily(String columnFamily)`
    `boolean` | `equals(Object o)`
    `String` | `getColumnFamily()` Get columnFamily
    `String` | `getTableName()` Get tableName
    `int` | `hashCode()`
    `void` | `setColumnFamily(String columnFamily)`
    `void` | `setTableName(String tableName)`
    `ApiHBaseCreateTable` | `tableName(String tableName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseCreateTable

          public ApiHBaseCreateTable()

  - ### Method Detail

    - #### tableName

          public ApiHBaseCreateTable tableName(String tableName)

    - #### getTableName

          public String getTableName()

      Get tableName
      Returns:
        tableName

    - #### setTableName

          public void setTableName(String tableName)

    - #### columnFamily

          public ApiHBaseCreateTable columnFamily(String columnFamily)

    - #### getColumnFamily

          public String getColumnFamily()

      Get columnFamily
      Returns:
        columnFamily

    - #### setColumnFamily

          public void setColumnFamily(String columnFamily)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.